# PokemonHpRestoreModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonHpRestoreModifier

#### Hierarchy (View Summary)

- ConsumablePokemonModifier
  - PokemonHpRestoreModifier

- Defined in src/modifier/modifier.ts:2115

##### Index

### Constructors

constructor

### Properties

fainted
pokemonId
type

### Methods

add
apply
getPokemon
match
shouldApply

## Constructors

### constructor

- new PokemonHpRestoreModifier(
  type: ModifierType ,
  pokemonId: number,
  restorePoints: number,
  restorePercent: number,
  healStatus: boolean,
  fainted?: boolean,
  ): PokemonHpRestoreModifier

  #### Parameters

  - type: ModifierType
  - pokemonId: number
  - restorePoints: number
  - restorePercent: number
  - healStatus: boolean
  - `Optional` fainted: boolean

  #### Returns PokemonHpRestoreModifier

  Overrides ConsumablePokemonModifier.constructor

  - Defined in src/modifier/modifier.ts:2121

## Properties

### fainted

fainted: boolean

- Defined in src/modifier/modifier.ts:2119

### pokemonId

pokemonId: number

Inherited from ConsumablePokemonModifier.pokemonId

- Defined in src/modifier/modifier.ts:2050

### type

type: ModifierType

Inherited from ConsumablePokemonModifier.type

- Defined in src/modifier/modifier.ts:159

## Methods

### add

- add(_modifiers: Modifier []): boolean

  #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.add

  - Defined in src/modifier/modifier.ts:277

### apply

- apply(pokemon: default , multiplier: number): boolean

  Applies PokemonHpRestoreModifier

  #### Parameters

  - pokemon: default

    The `PlayerPokemon` that consumes the item

  - multiplier: number

    The multiplier of the hp restore

  #### Returns boolean

  `true` if hp was restored

  Overrides ConsumablePokemonModifier.apply

  - Defined in src/modifier/modifier.ts:2156

### getPokemon

- getPokemon(): undefined | PlayerPokemon

  #### Returns undefined | PlayerPokemon

  Inherited from ConsumablePokemonModifier.getPokemon

  - Defined in src/modifier/modifier.ts:2075

### match

- match(_modifier: Modifier ): boolean

  #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.match

  - Defined in src/modifier/modifier.ts:165

### shouldApply

- shouldApply(playerPokemon?: PlayerPokemon , multiplier?: number): boolean

  Checks if PokemonHpRestoreModifier should be applied

  #### Parameters

  - `Optional` playerPokemon: PlayerPokemon

    The `PlayerPokemon` that consumes the item

  - `Optional` multiplier: number

    The multiplier of the hp restore

  #### Returns boolean

  `true` if the PokemonHpRestoreModifier should be applied

  Overrides ConsumablePokemonModifier.shouldApply

  - Defined in src/modifier/modifier.ts:2143